#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* SPIM_NRF_Controller_IntClock */
#define SPIM_NRF_Controller_IntClock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define SPIM_NRF_Controller_IntClock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define SPIM_NRF_Controller_IntClock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define SPIM_NRF_Controller_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define SPIM_NRF_Controller_IntClock__INDEX 0x00u
#define SPIM_NRF_Controller_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define SPIM_NRF_Controller_IntClock__PM_ACT_MSK 0x01u
#define SPIM_NRF_Controller_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define SPIM_NRF_Controller_IntClock__PM_STBY_MSK 0x01u

/* SPIM_NRF_Controller_BSPIM */
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__MASK_REG CYREG_B0_UDB02_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B0_UDB02_ST_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B0_UDB02_ST_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter_ST__STATUS_REG CYREG_B0_UDB02_ST
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB02_03_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB02_03_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B0_UDB02_03_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B0_UDB02_03_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B0_UDB02_03_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB02_03_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_REG CYREG_B0_UDB02_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B0_UDB02_ST_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__COUNT_REG CYREG_B0_UDB02_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__COUNT_ST_REG CYREG_B0_UDB02_ST_CTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define SPIM_NRF_Controller_BSPIM_BitCounter__PERIOD_REG CYREG_B0_UDB02_MSK
#define SPIM_NRF_Controller_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define SPIM_NRF_Controller_BSPIM_RxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB05_06_ACTL
#define SPIM_NRF_Controller_BSPIM_RxStsReg__16BIT_STATUS_REG CYREG_B0_UDB05_06_ST
#define SPIM_NRF_Controller_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_NRF_Controller_BSPIM_RxStsReg__4__POS 4
#define SPIM_NRF_Controller_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_NRF_Controller_BSPIM_RxStsReg__5__POS 5
#define SPIM_NRF_Controller_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_NRF_Controller_BSPIM_RxStsReg__6__POS 6
#define SPIM_NRF_Controller_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_NRF_Controller_BSPIM_RxStsReg__MASK_REG CYREG_B0_UDB05_MSK
#define SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB05_ACTL
#define SPIM_NRF_Controller_BSPIM_RxStsReg__STATUS_REG CYREG_B0_UDB05_ST
#define SPIM_NRF_Controller_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_NRF_Controller_BSPIM_TxStsReg__0__POS 0
#define SPIM_NRF_Controller_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define SPIM_NRF_Controller_BSPIM_TxStsReg__16BIT_STATUS_REG CYREG_B0_UDB03_04_ST
#define SPIM_NRF_Controller_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_NRF_Controller_BSPIM_TxStsReg__1__POS 1
#define SPIM_NRF_Controller_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_NRF_Controller_BSPIM_TxStsReg__2__POS 2
#define SPIM_NRF_Controller_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_NRF_Controller_BSPIM_TxStsReg__3__POS 3
#define SPIM_NRF_Controller_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_NRF_Controller_BSPIM_TxStsReg__4__POS 4
#define SPIM_NRF_Controller_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_NRF_Controller_BSPIM_TxStsReg__MASK_REG CYREG_B0_UDB03_MSK
#define SPIM_NRF_Controller_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define SPIM_NRF_Controller_BSPIM_TxStsReg__STATUS_REG CYREG_B0_UDB03_ST
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_A0_REG CYREG_B0_UDB02_03_A0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_A1_REG CYREG_B0_UDB02_03_A1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_D0_REG CYREG_B0_UDB02_03_D0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_D1_REG CYREG_B0_UDB02_03_D1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_F0_REG CYREG_B0_UDB02_03_F0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__16BIT_F1_REG CYREG_B0_UDB02_03_F1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B0_UDB02_A0_A1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A0_REG CYREG_B0_UDB02_A0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__A1_REG CYREG_B0_UDB02_A1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B0_UDB02_D0_D1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D0_REG CYREG_B0_UDB02_D0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__D1_REG CYREG_B0_UDB02_D1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B0_UDB02_F0_F1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F0_REG CYREG_B0_UDB02_F0
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__F1_REG CYREG_B0_UDB02_F1
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL
#define SPIM_NRF_Controller_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB02_MSK_ACTL

/* USBFS_1_bus_reset */
#define USBFS_1_bus_reset__ES2_PATCH 0u
#define USBFS_1_bus_reset__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define USBFS_1_bus_reset__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define USBFS_1_bus_reset__INTC_MASK 0x80u
#define USBFS_1_bus_reset__INTC_NUMBER 23u
#define USBFS_1_bus_reset__INTC_PRIOR_NUM 7u
#define USBFS_1_bus_reset__INTC_PRIOR_REG CYREG_INTC_PRIOR23
#define USBFS_1_bus_reset__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define USBFS_1_bus_reset__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define USBFS_1_bus_reset__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Eu)

/* USBFS_1_arb_int */
#define USBFS_1_arb_int__ES2_PATCH 0u
#define USBFS_1_arb_int__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define USBFS_1_arb_int__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define USBFS_1_arb_int__INTC_MASK 0x40u
#define USBFS_1_arb_int__INTC_NUMBER 22u
#define USBFS_1_arb_int__INTC_PRIOR_NUM 7u
#define USBFS_1_arb_int__INTC_PRIOR_REG CYREG_INTC_PRIOR22
#define USBFS_1_arb_int__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define USBFS_1_arb_int__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define USBFS_1_arb_int__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Cu)

/* USBFS_1_sof_int */
#define USBFS_1_sof_int__ES2_PATCH 0u
#define USBFS_1_sof_int__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define USBFS_1_sof_int__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define USBFS_1_sof_int__INTC_MASK 0x20u
#define USBFS_1_sof_int__INTC_NUMBER 21u
#define USBFS_1_sof_int__INTC_PRIOR_NUM 7u
#define USBFS_1_sof_int__INTC_PRIOR_REG CYREG_INTC_PRIOR21
#define USBFS_1_sof_int__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define USBFS_1_sof_int__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define USBFS_1_sof_int__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Au)

/* USBFS_1_dp_int */
#define USBFS_1_dp_int__ES2_PATCH 0u
#define USBFS_1_dp_int__INTC_CLR_EN_REG CYREG_INTC_CLR_EN1
#define USBFS_1_dp_int__INTC_CLR_PD_REG CYREG_INTC_CLR_PD1
#define USBFS_1_dp_int__INTC_MASK 0x10u
#define USBFS_1_dp_int__INTC_NUMBER 12u
#define USBFS_1_dp_int__INTC_PRIOR_NUM 7u
#define USBFS_1_dp_int__INTC_PRIOR_REG CYREG_INTC_PRIOR12
#define USBFS_1_dp_int__INTC_SET_EN_REG CYREG_INTC_SET_EN1
#define USBFS_1_dp_int__INTC_SET_PD_REG CYREG_INTC_SET_PD1
#define USBFS_1_dp_int__INTC_VECT (CYREG_INTC_VECT_MBASE+0x18u)

/* PWM_1_PWMUDB */
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB04_05_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB04_05_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB04_05_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB04_05_MSK
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB04_05_MSK
#define PWM_1_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB04_05_MSK
#define PWM_1_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define PWM_1_PWMUDB_genblk1_ctrlreg__7__POS 7
#define PWM_1_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B0_UDB04_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB04_ST_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B0_UDB04_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B0_UDB04_ST_CTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define PWM_1_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define PWM_1_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B0_UDB04_MSK
#define PWM_1_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define PWM_1_PWMUDB_genblk8_stsreg__0__MASK 0x01u
#define PWM_1_PWMUDB_genblk8_stsreg__0__POS 0
#define PWM_1_PWMUDB_genblk8_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define PWM_1_PWMUDB_genblk8_stsreg__16BIT_STATUS_REG CYREG_B0_UDB04_05_ST
#define PWM_1_PWMUDB_genblk8_stsreg__2__MASK 0x04u
#define PWM_1_PWMUDB_genblk8_stsreg__2__POS 2
#define PWM_1_PWMUDB_genblk8_stsreg__3__MASK 0x08u
#define PWM_1_PWMUDB_genblk8_stsreg__3__POS 3
#define PWM_1_PWMUDB_genblk8_stsreg__5__MASK 0x20u
#define PWM_1_PWMUDB_genblk8_stsreg__5__POS 5
#define PWM_1_PWMUDB_genblk8_stsreg__MASK 0x2Du
#define PWM_1_PWMUDB_genblk8_stsreg__MASK_REG CYREG_B0_UDB04_MSK
#define PWM_1_PWMUDB_genblk8_stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define PWM_1_PWMUDB_genblk8_stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define PWM_1_PWMUDB_genblk8_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define PWM_1_PWMUDB_genblk8_stsreg__STATUS_CNT_REG CYREG_B0_UDB04_ST_CTL
#define PWM_1_PWMUDB_genblk8_stsreg__STATUS_CONTROL_REG CYREG_B0_UDB04_ST_CTL
#define PWM_1_PWMUDB_genblk8_stsreg__STATUS_REG CYREG_B0_UDB04_ST
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB04_05_A0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB04_05_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB04_05_D0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB04_05_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB04_05_F0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB04_05_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B0_UDB04_A0_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B0_UDB04_A0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B0_UDB04_A1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B0_UDB04_D0_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B0_UDB04_D0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B0_UDB04_D1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B0_UDB04_F0_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B0_UDB04_F0
#define PWM_1_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B0_UDB04_F1
#define PWM_1_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL
#define PWM_1_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB04_MSK_ACTL

/* USBFS_1_ep_0 */
#define USBFS_1_ep_0__ES2_PATCH 0u
#define USBFS_1_ep_0__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define USBFS_1_ep_0__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define USBFS_1_ep_0__INTC_MASK 0x01u
#define USBFS_1_ep_0__INTC_NUMBER 24u
#define USBFS_1_ep_0__INTC_PRIOR_NUM 7u
#define USBFS_1_ep_0__INTC_PRIOR_REG CYREG_INTC_PRIOR24
#define USBFS_1_ep_0__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define USBFS_1_ep_0__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define USBFS_1_ep_0__INTC_VECT (CYREG_INTC_VECT_MBASE+0x30u)

/* USBFS_1_ep_1 */
#define USBFS_1_ep_1__ES2_PATCH 0u
#define USBFS_1_ep_1__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define USBFS_1_ep_1__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define USBFS_1_ep_1__INTC_MASK 0x01u
#define USBFS_1_ep_1__INTC_NUMBER 0u
#define USBFS_1_ep_1__INTC_PRIOR_NUM 7u
#define USBFS_1_ep_1__INTC_PRIOR_REG CYREG_INTC_PRIOR0
#define USBFS_1_ep_1__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define USBFS_1_ep_1__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define USBFS_1_ep_1__INTC_VECT (CYREG_INTC_VECT_MBASE+0x00u)

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* USBFS_1_USB */
#define USBFS_1_USB__ARB_CFG CYREG_USB_ARB_CFG
#define USBFS_1_USB__ARB_EP1_CFG CYREG_USB_ARB_EP1_CFG
#define USBFS_1_USB__ARB_EP1_INT_EN CYREG_USB_ARB_EP1_INT_EN
#define USBFS_1_USB__ARB_EP1_SR CYREG_USB_ARB_EP1_SR
#define USBFS_1_USB__ARB_EP2_CFG CYREG_USB_ARB_EP2_CFG
#define USBFS_1_USB__ARB_EP2_INT_EN CYREG_USB_ARB_EP2_INT_EN
#define USBFS_1_USB__ARB_EP2_SR CYREG_USB_ARB_EP2_SR
#define USBFS_1_USB__ARB_EP3_CFG CYREG_USB_ARB_EP3_CFG
#define USBFS_1_USB__ARB_EP3_INT_EN CYREG_USB_ARB_EP3_INT_EN
#define USBFS_1_USB__ARB_EP3_SR CYREG_USB_ARB_EP3_SR
#define USBFS_1_USB__ARB_EP4_CFG CYREG_USB_ARB_EP4_CFG
#define USBFS_1_USB__ARB_EP4_INT_EN CYREG_USB_ARB_EP4_INT_EN
#define USBFS_1_USB__ARB_EP4_SR CYREG_USB_ARB_EP4_SR
#define USBFS_1_USB__ARB_EP5_CFG CYREG_USB_ARB_EP5_CFG
#define USBFS_1_USB__ARB_EP5_INT_EN CYREG_USB_ARB_EP5_INT_EN
#define USBFS_1_USB__ARB_EP5_SR CYREG_USB_ARB_EP5_SR
#define USBFS_1_USB__ARB_EP6_CFG CYREG_USB_ARB_EP6_CFG
#define USBFS_1_USB__ARB_EP6_INT_EN CYREG_USB_ARB_EP6_INT_EN
#define USBFS_1_USB__ARB_EP6_SR CYREG_USB_ARB_EP6_SR
#define USBFS_1_USB__ARB_EP7_CFG CYREG_USB_ARB_EP7_CFG
#define USBFS_1_USB__ARB_EP7_INT_EN CYREG_USB_ARB_EP7_INT_EN
#define USBFS_1_USB__ARB_EP7_SR CYREG_USB_ARB_EP7_SR
#define USBFS_1_USB__ARB_EP8_CFG CYREG_USB_ARB_EP8_CFG
#define USBFS_1_USB__ARB_EP8_INT_EN CYREG_USB_ARB_EP8_INT_EN
#define USBFS_1_USB__ARB_EP8_SR CYREG_USB_ARB_EP8_SR
#define USBFS_1_USB__ARB_INT_EN CYREG_USB_ARB_INT_EN
#define USBFS_1_USB__ARB_INT_SR CYREG_USB_ARB_INT_SR
#define USBFS_1_USB__ARB_RW1_DR CYREG_USB_ARB_RW1_DR
#define USBFS_1_USB__ARB_RW1_RA CYREG_USB_ARB_RW1_RA
#define USBFS_1_USB__ARB_RW1_RA_MSB CYREG_USB_ARB_RW1_RA_MSB
#define USBFS_1_USB__ARB_RW1_WA CYREG_USB_ARB_RW1_WA
#define USBFS_1_USB__ARB_RW1_WA_MSB CYREG_USB_ARB_RW1_WA_MSB
#define USBFS_1_USB__ARB_RW2_DR CYREG_USB_ARB_RW2_DR
#define USBFS_1_USB__ARB_RW2_RA CYREG_USB_ARB_RW2_RA
#define USBFS_1_USB__ARB_RW2_RA_MSB CYREG_USB_ARB_RW2_RA_MSB
#define USBFS_1_USB__ARB_RW2_WA CYREG_USB_ARB_RW2_WA
#define USBFS_1_USB__ARB_RW2_WA_MSB CYREG_USB_ARB_RW2_WA_MSB
#define USBFS_1_USB__ARB_RW3_DR CYREG_USB_ARB_RW3_DR
#define USBFS_1_USB__ARB_RW3_RA CYREG_USB_ARB_RW3_RA
#define USBFS_1_USB__ARB_RW3_RA_MSB CYREG_USB_ARB_RW3_RA_MSB
#define USBFS_1_USB__ARB_RW3_WA CYREG_USB_ARB_RW3_WA
#define USBFS_1_USB__ARB_RW3_WA_MSB CYREG_USB_ARB_RW3_WA_MSB
#define USBFS_1_USB__ARB_RW4_DR CYREG_USB_ARB_RW4_DR
#define USBFS_1_USB__ARB_RW4_RA CYREG_USB_ARB_RW4_RA
#define USBFS_1_USB__ARB_RW4_RA_MSB CYREG_USB_ARB_RW4_RA_MSB
#define USBFS_1_USB__ARB_RW4_WA CYREG_USB_ARB_RW4_WA
#define USBFS_1_USB__ARB_RW4_WA_MSB CYREG_USB_ARB_RW4_WA_MSB
#define USBFS_1_USB__ARB_RW5_DR CYREG_USB_ARB_RW5_DR
#define USBFS_1_USB__ARB_RW5_RA CYREG_USB_ARB_RW5_RA
#define USBFS_1_USB__ARB_RW5_RA_MSB CYREG_USB_ARB_RW5_RA_MSB
#define USBFS_1_USB__ARB_RW5_WA CYREG_USB_ARB_RW5_WA
#define USBFS_1_USB__ARB_RW5_WA_MSB CYREG_USB_ARB_RW5_WA_MSB
#define USBFS_1_USB__ARB_RW6_DR CYREG_USB_ARB_RW6_DR
#define USBFS_1_USB__ARB_RW6_RA CYREG_USB_ARB_RW6_RA
#define USBFS_1_USB__ARB_RW6_RA_MSB CYREG_USB_ARB_RW6_RA_MSB
#define USBFS_1_USB__ARB_RW6_WA CYREG_USB_ARB_RW6_WA
#define USBFS_1_USB__ARB_RW6_WA_MSB CYREG_USB_ARB_RW6_WA_MSB
#define USBFS_1_USB__ARB_RW7_DR CYREG_USB_ARB_RW7_DR
#define USBFS_1_USB__ARB_RW7_RA CYREG_USB_ARB_RW7_RA
#define USBFS_1_USB__ARB_RW7_RA_MSB CYREG_USB_ARB_RW7_RA_MSB
#define USBFS_1_USB__ARB_RW7_WA CYREG_USB_ARB_RW7_WA
#define USBFS_1_USB__ARB_RW7_WA_MSB CYREG_USB_ARB_RW7_WA_MSB
#define USBFS_1_USB__ARB_RW8_DR CYREG_USB_ARB_RW8_DR
#define USBFS_1_USB__ARB_RW8_RA CYREG_USB_ARB_RW8_RA
#define USBFS_1_USB__ARB_RW8_RA_MSB CYREG_USB_ARB_RW8_RA_MSB
#define USBFS_1_USB__ARB_RW8_WA CYREG_USB_ARB_RW8_WA
#define USBFS_1_USB__ARB_RW8_WA_MSB CYREG_USB_ARB_RW8_WA_MSB
#define USBFS_1_USB__BUF_SIZE CYREG_USB_BUF_SIZE
#define USBFS_1_USB__BUS_RST_CNT CYREG_USB_BUS_RST_CNT
#define USBFS_1_USB__CR0 CYREG_USB_CR0
#define USBFS_1_USB__CR1 CYREG_USB_CR1
#define USBFS_1_USB__CWA CYREG_USB_CWA
#define USBFS_1_USB__CWA_MSB CYREG_USB_CWA_MSB
#define USBFS_1_USB__DMA_THRES CYREG_USB_DMA_THRES
#define USBFS_1_USB__DMA_THRES_MSB CYREG_USB_DMA_THRES_MSB
#define USBFS_1_USB__DYN_RECONFIG CYREG_USB_DYN_RECONFIG
#define USBFS_1_USB__EP0_CNT CYREG_USB_EP0_CNT
#define USBFS_1_USB__EP0_CR CYREG_USB_EP0_CR
#define USBFS_1_USB__EP0_DR0 CYREG_USB_EP0_DR0
#define USBFS_1_USB__EP0_DR1 CYREG_USB_EP0_DR1
#define USBFS_1_USB__EP0_DR2 CYREG_USB_EP0_DR2
#define USBFS_1_USB__EP0_DR3 CYREG_USB_EP0_DR3
#define USBFS_1_USB__EP0_DR4 CYREG_USB_EP0_DR4
#define USBFS_1_USB__EP0_DR5 CYREG_USB_EP0_DR5
#define USBFS_1_USB__EP0_DR6 CYREG_USB_EP0_DR6
#define USBFS_1_USB__EP0_DR7 CYREG_USB_EP0_DR7
#define USBFS_1_USB__EP_ACTIVE CYREG_USB_EP_ACTIVE
#define USBFS_1_USB__EP_TYPE CYREG_USB_EP_TYPE
#define USBFS_1_USB__MEM_DATA CYREG_USB_MEM_DATA_MBASE
#define USBFS_1_USB__OSCLK_DR0 CYREG_USB_OSCLK_DR0
#define USBFS_1_USB__OSCLK_DR1 CYREG_USB_OSCLK_DR1
#define USBFS_1_USB__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define USBFS_1_USB__PM_ACT_MSK 0x01u
#define USBFS_1_USB__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define USBFS_1_USB__PM_STBY_MSK 0x01u
#define USBFS_1_USB__SIE_EP1_CNT0 CYREG_USB_SIE_EP1_CNT0
#define USBFS_1_USB__SIE_EP1_CNT1 CYREG_USB_SIE_EP1_CNT1
#define USBFS_1_USB__SIE_EP1_CR0 CYREG_USB_SIE_EP1_CR0
#define USBFS_1_USB__SIE_EP2_CNT0 CYREG_USB_SIE_EP2_CNT0
#define USBFS_1_USB__SIE_EP2_CNT1 CYREG_USB_SIE_EP2_CNT1
#define USBFS_1_USB__SIE_EP2_CR0 CYREG_USB_SIE_EP2_CR0
#define USBFS_1_USB__SIE_EP3_CNT0 CYREG_USB_SIE_EP3_CNT0
#define USBFS_1_USB__SIE_EP3_CNT1 CYREG_USB_SIE_EP3_CNT1
#define USBFS_1_USB__SIE_EP3_CR0 CYREG_USB_SIE_EP3_CR0
#define USBFS_1_USB__SIE_EP4_CNT0 CYREG_USB_SIE_EP4_CNT0
#define USBFS_1_USB__SIE_EP4_CNT1 CYREG_USB_SIE_EP4_CNT1
#define USBFS_1_USB__SIE_EP4_CR0 CYREG_USB_SIE_EP4_CR0
#define USBFS_1_USB__SIE_EP5_CNT0 CYREG_USB_SIE_EP5_CNT0
#define USBFS_1_USB__SIE_EP5_CNT1 CYREG_USB_SIE_EP5_CNT1
#define USBFS_1_USB__SIE_EP5_CR0 CYREG_USB_SIE_EP5_CR0
#define USBFS_1_USB__SIE_EP6_CNT0 CYREG_USB_SIE_EP6_CNT0
#define USBFS_1_USB__SIE_EP6_CNT1 CYREG_USB_SIE_EP6_CNT1
#define USBFS_1_USB__SIE_EP6_CR0 CYREG_USB_SIE_EP6_CR0
#define USBFS_1_USB__SIE_EP7_CNT0 CYREG_USB_SIE_EP7_CNT0
#define USBFS_1_USB__SIE_EP7_CNT1 CYREG_USB_SIE_EP7_CNT1
#define USBFS_1_USB__SIE_EP7_CR0 CYREG_USB_SIE_EP7_CR0
#define USBFS_1_USB__SIE_EP8_CNT0 CYREG_USB_SIE_EP8_CNT0
#define USBFS_1_USB__SIE_EP8_CNT1 CYREG_USB_SIE_EP8_CNT1
#define USBFS_1_USB__SIE_EP8_CR0 CYREG_USB_SIE_EP8_CR0
#define USBFS_1_USB__SIE_EP_INT_EN CYREG_USB_SIE_EP_INT_EN
#define USBFS_1_USB__SIE_EP_INT_SR CYREG_USB_SIE_EP_INT_SR
#define USBFS_1_USB__SOF0 CYREG_USB_SOF0
#define USBFS_1_USB__SOF1 CYREG_USB_SOF1
#define USBFS_1_USB__USBIO_CR0 CYREG_USB_USBIO_CR0
#define USBFS_1_USB__USBIO_CR1 CYREG_USB_USBIO_CR1
#define USBFS_1_USB__USBIO_CR2 CYREG_USB_USBIO_CR2
#define USBFS_1_USB__USB_CLK_EN CYREG_USB_USB_CLK_EN

/* USBFS_1_Dm */
#define USBFS_1_Dm__0__MASK 0x80u
#define USBFS_1_Dm__0__PC CYREG_IO_PC_PRT15_7_6_PC1
#define USBFS_1_Dm__0__PORT 15u
#define USBFS_1_Dm__0__SHIFT 7
#define USBFS_1_Dm__AG CYREG_PRT15_AG
#define USBFS_1_Dm__AMUX CYREG_PRT15_AMUX
#define USBFS_1_Dm__BIE CYREG_PRT15_BIE
#define USBFS_1_Dm__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBFS_1_Dm__BYP CYREG_PRT15_BYP
#define USBFS_1_Dm__CTL CYREG_PRT15_CTL
#define USBFS_1_Dm__DM0 CYREG_PRT15_DM0
#define USBFS_1_Dm__DM1 CYREG_PRT15_DM1
#define USBFS_1_Dm__DM2 CYREG_PRT15_DM2
#define USBFS_1_Dm__DR CYREG_PRT15_DR
#define USBFS_1_Dm__INP_DIS CYREG_PRT15_INP_DIS
#define USBFS_1_Dm__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBFS_1_Dm__LCD_EN CYREG_PRT15_LCD_EN
#define USBFS_1_Dm__MASK 0x80u
#define USBFS_1_Dm__PORT 15u
#define USBFS_1_Dm__PRT CYREG_PRT15_PRT
#define USBFS_1_Dm__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBFS_1_Dm__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBFS_1_Dm__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBFS_1_Dm__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBFS_1_Dm__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBFS_1_Dm__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBFS_1_Dm__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBFS_1_Dm__PS CYREG_PRT15_PS
#define USBFS_1_Dm__SHIFT 7
#define USBFS_1_Dm__SLW CYREG_PRT15_SLW

/* USBFS_1_Dp */
#define USBFS_1_Dp__0__MASK 0x40u
#define USBFS_1_Dp__0__PC CYREG_IO_PC_PRT15_7_6_PC0
#define USBFS_1_Dp__0__PORT 15u
#define USBFS_1_Dp__0__SHIFT 6
#define USBFS_1_Dp__AG CYREG_PRT15_AG
#define USBFS_1_Dp__AMUX CYREG_PRT15_AMUX
#define USBFS_1_Dp__BIE CYREG_PRT15_BIE
#define USBFS_1_Dp__BIT_MASK CYREG_PRT15_BIT_MASK
#define USBFS_1_Dp__BYP CYREG_PRT15_BYP
#define USBFS_1_Dp__CTL CYREG_PRT15_CTL
#define USBFS_1_Dp__DM0 CYREG_PRT15_DM0
#define USBFS_1_Dp__DM1 CYREG_PRT15_DM1
#define USBFS_1_Dp__DM2 CYREG_PRT15_DM2
#define USBFS_1_Dp__DR CYREG_PRT15_DR
#define USBFS_1_Dp__INP_DIS CYREG_PRT15_INP_DIS
#define USBFS_1_Dp__INTSTAT CYREG_PICU15_INTSTAT
#define USBFS_1_Dp__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USBFS_1_Dp__LCD_EN CYREG_PRT15_LCD_EN
#define USBFS_1_Dp__MASK 0x40u
#define USBFS_1_Dp__PORT 15u
#define USBFS_1_Dp__PRT CYREG_PRT15_PRT
#define USBFS_1_Dp__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USBFS_1_Dp__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USBFS_1_Dp__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USBFS_1_Dp__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USBFS_1_Dp__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USBFS_1_Dp__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USBFS_1_Dp__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USBFS_1_Dp__PS CYREG_PRT15_PS
#define USBFS_1_Dp__SHIFT 6
#define USBFS_1_Dp__SLW CYREG_PRT15_SLW
#define USBFS_1_Dp__SNAP CYREG_PICU15_SNAP

/* NRF_MISO */
#define NRF_MISO__0__MASK 0x10u
#define NRF_MISO__0__PC CYREG_PRT0_PC4
#define NRF_MISO__0__PORT 0u
#define NRF_MISO__0__SHIFT 4
#define NRF_MISO__AG CYREG_PRT0_AG
#define NRF_MISO__AMUX CYREG_PRT0_AMUX
#define NRF_MISO__BIE CYREG_PRT0_BIE
#define NRF_MISO__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_MISO__BYP CYREG_PRT0_BYP
#define NRF_MISO__CTL CYREG_PRT0_CTL
#define NRF_MISO__DM0 CYREG_PRT0_DM0
#define NRF_MISO__DM1 CYREG_PRT0_DM1
#define NRF_MISO__DM2 CYREG_PRT0_DM2
#define NRF_MISO__DR CYREG_PRT0_DR
#define NRF_MISO__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_MISO__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_MISO__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_MISO__MASK 0x10u
#define NRF_MISO__PORT 0u
#define NRF_MISO__PRT CYREG_PRT0_PRT
#define NRF_MISO__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_MISO__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_MISO__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_MISO__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_MISO__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_MISO__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_MISO__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_MISO__PS CYREG_PRT0_PS
#define NRF_MISO__SHIFT 4
#define NRF_MISO__SLW CYREG_PRT0_SLW

/* NRF_MOSI */
#define NRF_MOSI__0__MASK 0x08u
#define NRF_MOSI__0__PC CYREG_PRT0_PC3
#define NRF_MOSI__0__PORT 0u
#define NRF_MOSI__0__SHIFT 3
#define NRF_MOSI__AG CYREG_PRT0_AG
#define NRF_MOSI__AMUX CYREG_PRT0_AMUX
#define NRF_MOSI__BIE CYREG_PRT0_BIE
#define NRF_MOSI__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_MOSI__BYP CYREG_PRT0_BYP
#define NRF_MOSI__CTL CYREG_PRT0_CTL
#define NRF_MOSI__DM0 CYREG_PRT0_DM0
#define NRF_MOSI__DM1 CYREG_PRT0_DM1
#define NRF_MOSI__DM2 CYREG_PRT0_DM2
#define NRF_MOSI__DR CYREG_PRT0_DR
#define NRF_MOSI__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_MOSI__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_MOSI__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_MOSI__MASK 0x08u
#define NRF_MOSI__PORT 0u
#define NRF_MOSI__PRT CYREG_PRT0_PRT
#define NRF_MOSI__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_MOSI__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_MOSI__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_MOSI__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_MOSI__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_MOSI__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_MOSI__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_MOSI__PS CYREG_PRT0_PS
#define NRF_MOSI__SHIFT 3
#define NRF_MOSI__SLW CYREG_PRT0_SLW

/* NRF_SCLK */
#define NRF_SCLK__0__MASK 0x04u
#define NRF_SCLK__0__PC CYREG_PRT0_PC2
#define NRF_SCLK__0__PORT 0u
#define NRF_SCLK__0__SHIFT 2
#define NRF_SCLK__AG CYREG_PRT0_AG
#define NRF_SCLK__AMUX CYREG_PRT0_AMUX
#define NRF_SCLK__BIE CYREG_PRT0_BIE
#define NRF_SCLK__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_SCLK__BYP CYREG_PRT0_BYP
#define NRF_SCLK__CTL CYREG_PRT0_CTL
#define NRF_SCLK__DM0 CYREG_PRT0_DM0
#define NRF_SCLK__DM1 CYREG_PRT0_DM1
#define NRF_SCLK__DM2 CYREG_PRT0_DM2
#define NRF_SCLK__DR CYREG_PRT0_DR
#define NRF_SCLK__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_SCLK__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_SCLK__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_SCLK__MASK 0x04u
#define NRF_SCLK__PORT 0u
#define NRF_SCLK__PRT CYREG_PRT0_PRT
#define NRF_SCLK__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_SCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_SCLK__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_SCLK__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_SCLK__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_SCLK__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_SCLK__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_SCLK__PS CYREG_PRT0_PS
#define NRF_SCLK__SHIFT 2
#define NRF_SCLK__SLW CYREG_PRT0_SLW

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__INDEX 0x01u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x02u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x02u

/* isr_nrf */
#define isr_nrf__ES2_PATCH 0u
#define isr_nrf__INTC_CLR_EN_REG CYREG_INTC_CLR_EN0
#define isr_nrf__INTC_CLR_PD_REG CYREG_INTC_CLR_PD0
#define isr_nrf__INTC_MASK 0x10u
#define isr_nrf__INTC_NUMBER 4u
#define isr_nrf__INTC_PRIOR_NUM 7u
#define isr_nrf__INTC_PRIOR_REG CYREG_INTC_PRIOR4
#define isr_nrf__INTC_SET_EN_REG CYREG_INTC_SET_EN0
#define isr_nrf__INTC_SET_PD_REG CYREG_INTC_SET_PD0
#define isr_nrf__INTC_VECT (CYREG_INTC_VECT_MBASE+0x08u)

/* NRF_CSN */
#define NRF_CSN__0__MASK 0x02u
#define NRF_CSN__0__PC CYREG_PRT0_PC1
#define NRF_CSN__0__PORT 0u
#define NRF_CSN__0__SHIFT 1
#define NRF_CSN__AG CYREG_PRT0_AG
#define NRF_CSN__AMUX CYREG_PRT0_AMUX
#define NRF_CSN__BIE CYREG_PRT0_BIE
#define NRF_CSN__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_CSN__BYP CYREG_PRT0_BYP
#define NRF_CSN__CTL CYREG_PRT0_CTL
#define NRF_CSN__DM0 CYREG_PRT0_DM0
#define NRF_CSN__DM1 CYREG_PRT0_DM1
#define NRF_CSN__DM2 CYREG_PRT0_DM2
#define NRF_CSN__DR CYREG_PRT0_DR
#define NRF_CSN__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_CSN__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_CSN__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_CSN__MASK 0x02u
#define NRF_CSN__PORT 0u
#define NRF_CSN__PRT CYREG_PRT0_PRT
#define NRF_CSN__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_CSN__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_CSN__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_CSN__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_CSN__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_CSN__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_CSN__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_CSN__PS CYREG_PRT0_PS
#define NRF_CSN__SHIFT 1
#define NRF_CSN__SLW CYREG_PRT0_SLW

/* NRF_IRQ */
#define NRF_IRQ__0__MASK 0x20u
#define NRF_IRQ__0__PC CYREG_PRT0_PC5
#define NRF_IRQ__0__PORT 0u
#define NRF_IRQ__0__SHIFT 5
#define NRF_IRQ__AG CYREG_PRT0_AG
#define NRF_IRQ__AMUX CYREG_PRT0_AMUX
#define NRF_IRQ__BIE CYREG_PRT0_BIE
#define NRF_IRQ__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_IRQ__BYP CYREG_PRT0_BYP
#define NRF_IRQ__CTL CYREG_PRT0_CTL
#define NRF_IRQ__DM0 CYREG_PRT0_DM0
#define NRF_IRQ__DM1 CYREG_PRT0_DM1
#define NRF_IRQ__DM2 CYREG_PRT0_DM2
#define NRF_IRQ__DR CYREG_PRT0_DR
#define NRF_IRQ__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_IRQ__INTSTAT CYREG_PICU0_INTSTAT
#define NRF_IRQ__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_IRQ__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_IRQ__MASK 0x20u
#define NRF_IRQ__PORT 0u
#define NRF_IRQ__PRT CYREG_PRT0_PRT
#define NRF_IRQ__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_IRQ__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_IRQ__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_IRQ__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_IRQ__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_IRQ__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_IRQ__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_IRQ__PS CYREG_PRT0_PS
#define NRF_IRQ__SHIFT 5
#define NRF_IRQ__SLW CYREG_PRT0_SLW
#define NRF_IRQ__SNAP CYREG_PICU0_SNAP

/* NRF_CE */
#define NRF_CE__0__MASK 0x01u
#define NRF_CE__0__PC CYREG_PRT0_PC0
#define NRF_CE__0__PORT 0u
#define NRF_CE__0__SHIFT 0
#define NRF_CE__AG CYREG_PRT0_AG
#define NRF_CE__AMUX CYREG_PRT0_AMUX
#define NRF_CE__BIE CYREG_PRT0_BIE
#define NRF_CE__BIT_MASK CYREG_PRT0_BIT_MASK
#define NRF_CE__BYP CYREG_PRT0_BYP
#define NRF_CE__CTL CYREG_PRT0_CTL
#define NRF_CE__DM0 CYREG_PRT0_DM0
#define NRF_CE__DM1 CYREG_PRT0_DM1
#define NRF_CE__DM2 CYREG_PRT0_DM2
#define NRF_CE__DR CYREG_PRT0_DR
#define NRF_CE__INP_DIS CYREG_PRT0_INP_DIS
#define NRF_CE__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define NRF_CE__LCD_EN CYREG_PRT0_LCD_EN
#define NRF_CE__MASK 0x01u
#define NRF_CE__PORT 0u
#define NRF_CE__PRT CYREG_PRT0_PRT
#define NRF_CE__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define NRF_CE__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define NRF_CE__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define NRF_CE__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define NRF_CE__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define NRF_CE__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define NRF_CE__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define NRF_CE__PS CYREG_PRT0_PS
#define NRF_CE__SHIFT 0
#define NRF_CE__SLW CYREG_PRT0_SLW

/* Pin_1 */
#define Pin_1__0__MASK 0x80u
#define Pin_1__0__PC CYREG_PRT2_PC7
#define Pin_1__0__PORT 2u
#define Pin_1__0__SHIFT 7
#define Pin_1__AG CYREG_PRT2_AG
#define Pin_1__AMUX CYREG_PRT2_AMUX
#define Pin_1__BIE CYREG_PRT2_BIE
#define Pin_1__BIT_MASK CYREG_PRT2_BIT_MASK
#define Pin_1__BYP CYREG_PRT2_BYP
#define Pin_1__CTL CYREG_PRT2_CTL
#define Pin_1__DM0 CYREG_PRT2_DM0
#define Pin_1__DM1 CYREG_PRT2_DM1
#define Pin_1__DM2 CYREG_PRT2_DM2
#define Pin_1__DR CYREG_PRT2_DR
#define Pin_1__INP_DIS CYREG_PRT2_INP_DIS
#define Pin_1__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT2_LCD_EN
#define Pin_1__MASK 0x80u
#define Pin_1__PORT 2u
#define Pin_1__PRT CYREG_PRT2_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Pin_1__PS CYREG_PRT2_PS
#define Pin_1__SHIFT 7
#define Pin_1__SLW CYREG_PRT2_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP 
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
